﻿using System;
using System.Reflection;
using System.Runtime.InteropServices;
using PaintDotNet;
//using PaintDotNet.Effects;
//using PaintDotNet.IndirectUI;
//using PaintDotNet.PropertySystem;

namespace Matthew
{
    public class PluginSupportInfo : IPluginSupportInfo
    {
        public PluginSupportInfo() { }

        public string Author
        {
            get
            {
                return "Matthew Reynolds";
            }
        }
        public string Copyright
        {
            get
            {
                return ((AssemblyCopyrightAttribute)base.GetType().Assembly.GetCustomAttributes(typeof(AssemblyCopyrightAttribute), false)[0]).Copyright;
            }
        }

        public string DisplayName
        {
            get
            {
                return ((AssemblyProductAttribute)base.GetType().Assembly.GetCustomAttributes(typeof(AssemblyProductAttribute), false)[0]).Product;
            }
        }

        public Version Version
        {
            get
            {
                return base.GetType().Assembly.GetName().Version;
            }
        }

        public Uri WebsiteUri
        {
            get
            {
                return new Uri("http://www.google.com");
            }
        }
    }
}